Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io
Interface OutputStreaming

All Known Subinterfaces:
  WriteBuffer.BufferOutput

All Known Implementing Classes:
  AbstractWriteBuffer.AbstractBufferOutput, AsymmetricEncryptionFilter.IdentityOutputStream, Base64OutputStream, ByteArrayWriteBuffer.ByteArrayBufferOutput, ByteBufferOutputStream, ByteBufferWriteBuffer.ByteBufferOutput, ClusterEncryptionFilter.MultiplexingOutputStream, DebugDataOutputStream, DelegatingWriteBuffer.DelegatingBufferOutput, MultiBufferWriteBuffer.MultiBufferOutput, MultiByteArrayOutputStream, NullImplementation.NullOutputStream, PackedDataOutputStream, PofOutputStream, WrapperBufferOutput, WrapperDataOutputStream, WrapperObjectOutputStream, WrapperOutputStream, WriterPrintStream

      public interface OutputStreaming

This is the interface represented by the Java OutputStream class.

Author:
  cp 2005.01.18

Method Summary
`void` | `close()` Closes this OutputStream and releases any associated system resources.
`void` | `flush()` Flushes this OutputStream and forces any buffered output bytes to be written.
`void` | `write(byte[] ab)` Writes all the bytes in the array `ab`.
`void` | `write(byte[] ab, int of, int cb)` Writes `cb` bytes starting at offset `of` from the array `ab`.
`void` | `write(int b)` Writes the eight low-order bits of the argument `b`.

Method Detail

### write

    void write(int b)
               throws IOException

  Writes the eight low-order bits of the argument `b`. The 24 high-order bits of `b` are ignored.
  Parameters:
    `b` - the byte to write (passed as an integer)
  Throws:
    `IOException` - if an I/O error occurs

### write

    void write(byte[] ab)
               throws IOException

  Writes all the bytes in the array `ab`.
  Parameters:
    `ab` - the byte array to write
  Throws:
    `IOException` - if an I/O error occurs
    `NullPointerException` - if `ab` is `null`

### write

    void write(byte[] ab,
               int of,
               int cb)
               throws IOException

  Writes `cb` bytes starting at offset `of` from the array `ab`.
  Parameters:
    `ab` - the byte array to write from
    `of` - the offset into `ab` to start writing from
    `cb` - the number of bytes from `ab` to write
  Throws:
    `IOException` - if an I/O error occurs
    `NullPointerException` - if `ab` is `null`
    `IndexOutOfBoundsException` - if `of` is negative, or `cb` is negative, or `of+cb` is greater than `ab.length`

### flush

    void flush()
               throws IOException

  Flushes this OutputStream and forces any buffered output bytes to be written.
  Throws:
    `IOException` - if an I/O error occurs

### close

    void close()
               throws IOException

  Closes this OutputStream and releases any associated system resources.
  Throws:
    `IOException` - if an I/O error occurs

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.